Stakeholder outreach for Newsletter extension
Closed, ResolvedPublic

Description

Since we have some newsletter publishers around, it seemed like an excellent idea when @Tbayer suggested that we get feedback from the future users of the newsletter extension. To bring you up to speed, please go through these tasks :

Open for negotiations!

Message to be sent

Subject line (talk page section header):

Help plan a new software feature for easy subscription to newsletters

We are developing a MediaWiki extension that will enable users to subscribe to community newsletters much more easily. We are very excited to hear your feedback on the features we have planned. Feel free to share your thoughts here.

(link to your user page) , ~~~~~

Destinations

Related Objects

Tinaj1234 updated the task description. (Show Details)
Tinaj1234 raised the priority of this task from to Normal.
Tinaj1234 claimed this task.
Tinaj1234 added subscribers: Tinaj1234, Tbayer, Quiddity and 3 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 3:58 AM
Qgil updated the task description. (Show Details)May 28 2015, 6:30 AM
Qgil set Security to None.
Qgil updated the task description. (Show Details)May 28 2015, 6:35 AM
Qgil added a comment.May 28 2015, 6:37 AM

I have proposed a list of destinations in the descriptions. I'd say let's complete / confirm it this week, and Tina will send the announcement next week. If we miss someone we can always loop them in later.

Qgil added a subscriber: gpaumier.May 28 2015, 6:38 AM
Tinaj1234 updated the task description. (Show Details)May 28 2015, 9:29 AM
Qgil updated the task description. (Show Details)May 28 2015, 10:31 AM
Elitre added a subscriber: Elitre.May 29 2015, 8:16 AM
Tbayer updated the task description. (Show Details)May 30 2015, 2:38 AM

I have modified the message a bit - e.g. to highlight the expected benefit of the extension as I understand it - and added more destinations. (There are many more newsletters listed at e.g. https://de.wikipedia.org/wiki/Wikipedia:Newsletter , but I have only added some that seemed a) still active and b) published and sent out in separate issues, as opposed to continually updated news pages such as the German Wikipedia's Kurier.)

Feel free to modify further as you see fit. (Oh and make sure to follow the MassMessage instructions when sending it out, e.g. it might make sense to include a signature.)

Good luck ;)

Quiddity updated the task description. (Show Details)Jun 2 2015, 4:11 PM
Qgil added a comment.Jun 5 2015, 10:46 AM

From our weekly meeting: the idea is to contact the talk pages of the URLs above via MassMessage, next Monday 8.

Tinaj1234 added a comment.EditedJun 8 2015, 3:13 PM

@Qgil and @01tonythomas, Shall I proceed to send messages to all the destination URLs ?

Tinaj1234 updated the task description. (Show Details)Jun 9 2015, 1:19 AM
Tinaj1234 removed a subscriber: Mattho69.
ResMar added a subscriber: ResMar.Jun 9 2015, 4:12 AM

Hi, here from the Signpost editorial board. You asked for our feedback on the proposed technical features, and here is what I have to say on the topic of newspaper delivery:

  • This is necessary work that no one has stepped up to do before. You are correct to take a crack at it, as the current situation is, frankly, in my opinion, absurd. Too many newsletters, too many different places, no way to keep track of them or follow them, etc. etc. I am very happy to see movement on this topic.
  • The very first thing I would suggest: there is no feature for newsletters that would be more immediately useful than push notifications via the Echo interface. The mockup you have provided (https://phabricator.wikimedia.org/M12) has got that right; but reading your materials you seem to refer to notifications as being email notifications, not Echo ones. To create such a wonderful piece of software and not use it: I think that would be a terrible mistake. There are few things the notification interface is better suited for than this, and I've talked to Quiddity briefly before about this fact.
  • I otherwise agree with the rest of what you have to say.
Ocaasi added a subscriber: Ocaasi.Jun 9 2015, 5:54 AM
Qgil added a subscriber: Mattho69.Jun 9 2015, 8:15 AM

@ResMar, Sorry about the delay in replying - had few errands to take care of.

About your query, we are definitely utilising Echo to notify subscribers, infact it is one of the features listed for our MVP ( please see T101546 ). As you might know, a user can choose between email and echo notifications to have the notification delivered ( see $wgEchoNotifiers in here ). So we leave it to the choice user has already made. If the user has chosen emails, he/she gets notified via emails or else if he/she has chosen echo notifications, then so be it.

I hope that clears it up!

Tinaj1234 updated the task description. (Show Details)Jun 9 2015, 2:02 PM
Cantons added a subscriber: Cantons.Jun 9 2015, 7:40 PM

On the French Wikipedia, we publish RAW every two weeks. Since I am sysop, I used MassMessage. Lucky me, since there is over 190 subscribers. However, I cannot get through the wiki barrier, i.e. I cannot announce RAW to other wikis (like the French Wikisource and the Arabic Wikipedia). I thus announce RAW by hand for these two wikis. This is easy, since there is only two readers outside the French Wikipedia, but I would not be too happy to post 20 times by hand.

One of my friend started a page on Facebook (https://www.facebook.com/RegardWikimedia, around 190 followers) and a page on Twitter (https://twitter.com/RegardWikimedia, 170 followers). Every time there is a new RAW, he announces on FB and Twitter. Maybe there should be a way to centralize all the newsletters announcement on FB and Twitter.

Maybe there should be a way to centralize all the newsletters announcement on FB and Twitter.

That would be a good feature indeed! To have automated announcements on Facebook and twitter for new issues of newsletters looks possible but no more no less complex as well. So maybe we can open up a task and put down this feature for later phases of development.

Qgil added a comment.Jun 10 2015, 6:51 AM

I think the scope of this GSoC project should be Wikimedia projects. A way to ping social media while publishing a new issue of a newsletter might be interesting indeed, and if someone creates a task for this we can discuss it in more detail there. But first I would focus in assuring that Extension:Newsletter works well with Wikimedia workflows.

Indeed---be very careful about scope creep.

Tinaj1234 closed this task as Resolved.Jun 18 2015, 11:01 AM
Tbayer added a subscriber: Romaine.Jul 15 2015, 3:36 PM

Usernames and emails of subscribes should be kept private. The number of users subscribed to a newsletter would be public (and eventually used to promote popular newsletters).

I do not see a reason for this.
Not seldom I get questions about people who like help, and then it is vital to know if someone is successfully subscribed or not.

Qgil added a comment.Aug 24 2015, 8:09 AM

Replied at T76199#1566366. If you want to discuss the possibility of newsletter owners having access to the list of subscribers, please create a new task and let's discuss such feature there. Thank you.

ResMar removed a subscriber: ResMar.Apr 15 2016, 1:43 PM